Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

perl-SVN-1.1.0-1mdk RPM for i586

From Mandriva 10.1 for i586 / media / contrib

Name: perl-SVN Distribution: Mandrakelinux
Version: 1.1.0 Vendor: Mandrakesoft
Release: 1mdk Build date: Fri Oct 8 20:29:44 2004
Group: Development/Perl Build host: n3.mandrakesoft.com
Size: 1466065 Source RPM: subversion-1.1.0-1mdk.src.rpm
Packager: Ben Reser <ben@reser.org>
Url: http://subversion.tigris.org
Summary: Perl Bindings for Subversion
This package contains the files necessary to use the subversion
library functions within perl scripts.

Provides

Requires

License

BSD

Changelog

* Thu Oct 07 2004 Ben Reser <ben@reser.org> 1.1.0-1mdk
  - 1.1.0
  - Fix bindings build for changes in 1.1.0
  - Add libsvn_fs_base and libsvn_fs_fs packages to allow users
    using the fsfs backend to avoid the bdb dependency.
* Wed Sep 22 2004 Ben Reser <ben@reser.org> 1.0.8-1mdk
  - 1.0.8 (security fix for CAN-2004-0749)
* Sat Sep 18 2004 Ben Reser <ben@reser.org> 1.0.7-1mdk
  - 1.0.7 
  - Built against Berkely DB 4.2.  Users using previous
    packages should dump their repos before installing.
* Tue Jul 20 2004 Ben Reser <ben@reser.org> 1.0.6-1mdk
  - 1.0.6 (includes a minor security fix)
  - libneon >= 0.24.7 is now needed.
* Thu Jun 10 2004 Ben Reser <ben@reser.org> 1.0.5-1mdk
  - 1.0.5 (security fix for CAN-2004-0413)
* Wed May 19 2004 Ben Reser <ben@reser.org> 1.0.3-1mdk
  - 1.0.3 (security fix for CAN-2004-0397)
* Tue Apr 27 2004 Ben Reser <ben@reser.org> 1.0.2-1mdk
  - 1.0.2
* Sat Mar 13 2004 Ben Reser <ben@reser.org> 1.0.1-1mdk
  - 1.0.1
  - Remove the editor config that makes it default to nano.
  - cvs2svn is no longer part of subversion and has split off 
    onto its own project at http://cvs2svn.tigris.org/
    I'll package it as soon as it releases something.  Due to
    the fast amount of development it is better to check it out
    of the svn repository now.
  - Remove obsolete auth_provider examples.
  - Fixup python sh'bang lines on some scripts.
* Fri Feb 20 2004 Ben Reser <ben@reser.org> 1.0.0-1mdk
  - 1.0.0
  - Cleanup dependencies.
  - Fix python bindings to install in the proper place on amd64.
  - cvs2svn manpage has been removed from subversion, it was out of date.
  - Update library versioning for 1.0 naming.
  - Don't install the doc dir for the authz module.
  - Conflict lib packages with 0 majors for easier upgrading.
  - Conflict with old style naming now.
  - Turn off zlib support.  It's not really used and is broken on amd64.
    (Issue #1753 in subversions issue tracker)
* Sat Jan 24 2004 Ben Reser <ben@reser.org> 0.37.0-1mdk
  - 0.37.0 (1.0 coming soon woo!)
  - XSL_DIR no longer used for building the documentation.
  - Fix depedencies on the python packages.
  - SWIG 1.3.19 or newer is now required.
  - Add a perl-SVN-devel package.
  - Perl bindings lib needs chrpath now.
  - Drop patch to build against SWIG 1.3.20, integrated
    upstream.
* Tue Jan 13 2004 Ben Reser <ben@reser.org> 0.36.0-1mdk
  - 0.36.0
  - Drop the ugly hack to work around the DSO issue, it now
    looks for .so.0 files.  That also means .so symlinks
    are now all in the -devel pacakge.
  - Patch for building bindings against SWIG 1.3.20 and
    newer
* Fri Dec 19 2003 Ben Reser <ben@reser.org> 0.35.0-0.92.1mdk
  - 0.35.0
  - Drop perlbindings patch, merged upstream.
  - Clean up chrpath from the libraries properly for 0.35.0
* Wed Dec 10 2003 Ben Reser <ben@reser.org> 0.34.0-1mdk
  - 0.34.0
  - WARNING 0.34.0 MAKES AN INCOMPATABLE CHANGE IN THE SUBVERSION
    DATABASE.  YOU MUST DUMP YOUR REPOSITORIES BEFORE UPGRADING
    AND LOAD THEM AGAIN AFTER.  SEE repops_upgrade_HOWTO FOR
    INSTRUCTIONS.
  - General cleanup to make it easier to maintain.
  - Rename subversion-python to python-svn to be consistent 
    with the python naming policy.
  - Move python libs stuff out of the libsubversion1_0-devel and 
    libsubversion1_0-static-devel packages into their own python
    specific packages.  To avoid pulling python
    in to have the -devel and -static-devel packages
  - Work around a bug in the docbook build process that breaks when using
    the docbook style sheets installed outside the build tree.
  - split tools into client-tools and repo-tools.
  - client-tools now installs the bash_completion, vim syntax hilighting and
    emacs interfaces to their appropriate locations, if the version of the
    distro doesn't already have them.
  - perl and python scripts are now installed with the .pl and .py extension
    with symlinks from their names without the extension to allow users
    following along in the book to find them easily.
  - No longer ship development tests and other development tools that are
    unlikely to be of any use to anyone using this rpm in the tools packages.
  - python binding example scripts move to the python-svn-devel package.
  - Remove rcsparse.py it's now included in the subversion source.
  - cvs2svn is no longer in the python bindings as it no longer requires them.
    It is now part of the repo-tools package.
  - Remove Source5 (repos_upgrade_HOWTO) it's now included in the subversion
    source. 
  - Move book and info files to subversion-doc.
  - Ditch unnecessary diffutils requirement.
  - Rework the split of the package.  It now complies better with the 
    lib policy and doesn't pull in unnecessary files.  This means the 
    the client programs are in the subversion package, client-local 
    moves to libsvn_ra_local0, client-dav moves to libsvn_ra_dav0,
    the svn ra lib is no longer included with the client and moves to
    libsvn_ra_svn0.  libsvn_wc, libsvn_ra and libsvn_client move to
    libsvn_client0.  libsvn_delta, libsvn_diff, and libsvn_subr each
    get their own package as they are required by both client and servers.
    libsvn_repos and libvsn_fs move to libsvn_repos0.  All appropriate
    devel files are in libsubversion0-devel and libsubversion-static-devel.
    However, libsubversion0 no longer exists as an individual package.
    Other clients shoudl require libsubversion-devel to build, as this
    pulls in the appropriate lib packages as well.  Automatic requires
    should handle the libs at runtime.  
  - C example programs move to libsubversion0-devel.
  - libsvn_ra_* packages provide subversion-ra-method.  Clients should
    require this to ensure they have at least one repository access
    method library.  This makes urpmi subversion very friendly. :)
  - move the .so files that aren't being used as dso (non ra method libs)
    into the devel package.
  - Fix the provide and require exceptions to work on 64-bit archs.
  - drop requirement on subversion-repo from the mod_dav_svn
    apache module package.
  - Fix the patch to build the perl modules due to the addition
    of libsvn_diff
  - Use %{ap_datadir} instead of hard coding /var/www/
  - clean out the reudundent %attr stuff in the %files sections.
  - python-svn should own the libsvn and svn dirs under the python 
    libdir.
  - whew I think that about covers it.  But I may have forgotten something
    this was a *MAJOR* cleanup of the package.
* Thu Nov 20 2003 Ben Reser <ben@reser.org> 0.33.1-1mdk
  - 0.33.1 which fixes a bug causing updates to fetch files
    twice.
  - %make clean now to avoid issues when upstream forgets to do it.
  - %make doc-all-info is needed to get info files built now.  Looks
    like they may have been already built in the old distribution packages.
  - Look to see if the info pages are split and only install the split sections
    if they are.
* Fri Nov 14 2003 Ben Reser <ben@reser.org> 0.33.0-1mdk
  - 0.33.0
  - Require apache2-devel >= 2.0.48 since subversion requires
    it now.
* Thu Oct 30 2003 Ben Reser <ben@reser.org> 0.32.1-2mdk
  - bump rev to get everything uploaded now that klama is working
    (I hope)
* Thu Oct 23 2003 Ben Reser <ben@reser.org> 0.32.1-1mdk
  - 0.32.1
  - build perl bindings and ship them in perl-SVN
  - require neon 0.24.0 or newer as subversion requires it now.
  - macro to autodetect perl man page destination for easy rebuilds
    on older distro revs.
  - compatability svnadmin-0.27 is history.
* Tue Sep 09 2003 Ben Reser <ben@reser.org> 0.29.0-2mdk
  - Fix the apache modules.  There was a bad provides on the
    mod_dav_svn and a requires for the wrong version on
    mod_authz_svn.
  - More changes in the buildrequires, it should build 
    straight out of the SRPM if the build dependencies
    are fulfilled on older distros (some of which will
    have to be built on the older distros to get)
  - BuildReq ADVX-build >= 1.2
* Sun Sep 07 2003 Ben Reser <ben@reser.org> 0.29.0-1mdk
  - 0.29.0
  - Remove versioned requires on db4-devel and ADVX-build and libdb4.1,
    this should make it easier to build on older releases, and since
    the client has to stay within a release of the server it'll need
    to be built on older rleeases.
  - Make the 0.27 svnadmin build against the included libneon.
    It won't matter really since svnadmin isn't linked against
    libneon anyway, but it ensures that it will always build properly.
  - macroize path to rcsparse.py
  - Really fix the perms on the tools sub-package.
  - merge the ldconfig and install_info scripts
  - Fix rpath on svnadmin-0.27
  - Install the infopages since the Makefile is broken and won't
  - Add the apache2-mod_authz_svn package
  - Remove explicit requires on libneon libdb python and swig,
    rpm will automatically require them via libs.
  - Don't build require libneon0.24-devel but rather neon-devel.
  - macroize
* Thu Sep 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.28.1-2mdk
  - activate ugly fix to close #5258
  - fix buildrequires
  - for some reason those *.info files won't install, skip it for now
    as I have no time fixing it...
* Tue Sep 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.28.1-1mdk
  - 0.28.1
  - close #5195
* Sun Aug 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.28-2mdk
  - put development files in place and deactivate ugly fix, it seems 
    to work...
* Thu Aug 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.28-1mdk
  - 0.28
  - rebuilt against latest buildrequires
  - use _provides_exceptions and _requires_exceptions magic until
    i find a better way
* Tue Aug 12 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.25-3mdk
  - really rebuild against new python
  - drop major numbers from some buildrequires
  - drop redundant requires, rpm will figure it out by itself
  - use %makeinstall_std macro
* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.25-2mdk
  - rebuilt against new python
* Mon Jul 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.25-1mdk
  - 0.25
  - rebuilt against latest apache2, requires and buildrequires
  - added spec file changes by Joseph Wang
  - added python spec file magic from the tmda spec file
  - fixed S1
  - fix requires
* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.0-2mdk
  - rebuilt for apache v2.0.46
  - rebuilt against new libneon
  - buildprereq ADVX-build >= 9.2
  - misc spec file fixes
* Sun May 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.0-1mdk
  - 0.23.0
  - drop P0, it's included upstream
  - misc spec file fixes
* Tue May 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.21.0-2mdk
  - fix BuildPreReq and fix file permissions on the tools 
    subpackage as pointed out by Andrey Borzenkov
* Mon Apr 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.21.0-1mdk
  - 0.21.0
  - enable python bindings since we now have the required swig v1.3.16
  - drop P1, use spec file magic instead
  - drop P2
  - added the html docs into the apache2-mod_dav_svn package
  - broke out the tools into a new sub package
  - trying my best to make mr. rpmlint shut up...
  - a lot of spec file changes..., see the changelog list or in CVS for more info
* Tue Apr 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.18.1-0.r5118.2mdk
  - rebuild only with libdb4.0, not libdb3.3
* Tue Mar 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.18.1-0.r5118.1mdk
  - 0.18.1
  - use the %mklibname macro
  - rebuilt against latest buildrequires
  - make rpmlint a little happier...
* Sat Feb 22 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.17.1-0.r4503.2mdk
  - fix requires (libdb4.0, not db4)
* Sat Feb 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.17.1-0.r4503.1mdk
  - 0.17.1
  - added fixes by Oliver Lemke <olemke@core-dump.net>, thanks man!
  - rediffed P0
* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.6mdk
  - rebuilt for apache v2.0.44
* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.5mdk
  - fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
    pointed out by Olivier Thauvin
* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.4mdk
  - da capo
* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.3mdk
  - rebuilt against rebuilt buildrequires
* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.2mdk
  - it's much easier to upload when increasing the release number ;)
  - Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
    /usr/include/apache2
* Fri Dec 06 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.1mdk
  - new version
  - misc spec file fixes
* Sun Nov 10 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.15-0.r3687.1mdk
  - new version
  - added P2 by Robert Schiele
* Sat Nov 09 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5-0.r3578.4mdk
  - enable build with debugging code, used ideas from Han Boetes and his
    fluxbox package, but the RedHat way. rpm --rebuild --with debug 
    subversion-0.14.5-0.r3578.4mdk.src.rpm will _not_ strip away any debugging code,
    will _add_ -g3 to CFLAGS, will _add_ --enable-maintainer-mode to 
    configure.
* Wed Nov 06 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5-0.r3578.3mdk
  - fix this broken package by totally ignoring Mr. Lint for now
* Tue Nov 05 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5-0.r3578.2mdk
  - added the client-local and client-dav subpackages to conform more to 
    the provided rpm spec file (and their descriptions)
  - misc spec file fixes
* Fri Nov 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5-0.r3578.1mdk
  - used parts of the spec file by David Summers and parts of the
    provided spec file by Michael Ballbach 
  - cannot build the python and swig stuff until we have swig v1.3.16
  - libifiction
  - initial cooker contrib (first attempt to build this beast...)
  svn-config

Files

/usr/lib/libsvn_swig_perl-1.so.0
/usr/lib/libsvn_swig_perl-1.so.0.0.0
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/SVN
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/SVN/Base.pm
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/SVN/Client.pm
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/SVN/Core.pm
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/SVN/Delta.pm
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/SVN/Fs.pm
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/SVN/Ra.pm
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/SVN/Repos.pm
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/SVN/Wc.pm
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN/_Client
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN/_Client/_Client.so
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN/_Core
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN/_Core/_Core.so
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN/_Delta
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN/_Delta/_Delta.so
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN/_Fs
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN/_Fs/_Fs.so
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN/_Ra
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN/_Ra/_Ra.so
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN/_Repos
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN/_Repos/_Repos.so
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN/_Wc
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/SVN/_Wc/_Wc.so
/usr/share/doc/perl-SVN-1.1.0
/usr/share/doc/perl-SVN-1.1.0/INSTALL
/usr/share/doc/perl-SVN-1.1.0/README
/usr/share/man/man3/SVN::Base.3pm.bz2
/usr/share/man/man3/SVN::Client.3pm.bz2
/usr/share/man/man3/SVN::Core.3pm.bz2
/usr/share/man/man3/SVN::Delta.3pm.bz2
/usr/share/man/man3/SVN::Fs.3pm.bz2
/usr/share/man/man3/SVN::Ra.3pm.bz2
/usr/share/man/man3/SVN::Repos.3pm.bz2
/usr/share/man/man3/SVN::Wc.3pm.bz2


Generated by rpm2html 1.8.1

Fabrice Bellet, Wed Dec 10 07:39:49 2014